package com.jeeplus.modules.filing.constructionStage.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

public class CostManagment extends DataEntity<CostManagment> {
    /**
     * 项目编码
     */
    private String projectCode;

    /**
     * 单体编码
     */
    private String monomerCode;

    /**
     * 项目名称
     */
    private String entryName;

    /**
     * 工程结算审核报告
     * */
    private String settAuditReport;
    /**
     * 工程决算审计报告
     * */
    private String accAuditReport;
    /**
     * 增资产生的卡片信息
     * */
    private String cardInformation;

    @ExcelField(title="项目编码", align=2, sort=1)
    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    @ExcelField(title="单体编码", align=2, sort=2)
    public String getMonomerCode() {
        return monomerCode;
    }

    public void setMonomerCode(String monomerCode) {
        this.monomerCode = monomerCode;
    }

    @ExcelField(title="项目名称", align=2, sort=3)
    public String getEntryName() {
        return entryName;
    }

    public void setEntryName(String entryName) {
        this.entryName = entryName;
    }

    public String getSettAuditReport() {
        return settAuditReport;
    }

    public void setSettAuditReport(String settAuditReport) {
        this.settAuditReport = settAuditReport;
    }

    public String getAccAuditReport() {
        return accAuditReport;
    }

    public void setAccAuditReport(String accAuditReport) {
        this.accAuditReport = accAuditReport;
    }

    @ExcelField(title="增资产生的卡片信息", align=2, sort=4)
    public String getCardInformation() {
        return cardInformation;
    }

    public void setCardInformation(String cardInformation) {
        this.cardInformation = cardInformation;
    }


}
